---
repos:
  #- repo: https://github.com/PyCQA/bandit
  #  rev: 1.7.0
  #  hooks:
  #    - id: bandit
  #      exclude: tests/.*$

  - repo: local
    hooks:
      - id: black
        name: black
        language: system
        entry: poetry run black
        types: [python]

  #- repo: https://github.com/Yelp/detect-secrets
  #  rev: v1.1.0
  #  hooks:
  #    - id: detect-secrets
  #      exclude: ^(poetry\.lock|\.cruft\.json)$
  #      exclude_types: [jupyter]

  # Docstring coverage tool
  #- repo: https://github.com/econchick/interrogate
  #  rev: 1.3.2
  #  hooks:
  #    - id: interrogate
        # adjust `fail-under` value as quality standards permit
  #      args: [-vv, --fail-under=0]

  #- repo: local
  #  hooks:
  #    - id: isort
  #      name: isort
  #      language: system
  #      entry: poetry run isort
  #      types: [python]

  #- repo: local
  #  hooks:
  #    - id: mypy
  #      name: mypy
  #      language: system
  #      entry: poetry run mypy
  #      types: [python]
  #      exclude: ^(notebooks/.*\.py)$

  #- repo: local
  #  hooks:
  #    - id: pylint
  #      name: pylint
  #      language: system
  #      entry: poetry run pylint
  #      args: [--rcfile=pyproject.toml]
  #      types: [python]
  #      exclude: ^(notebooks/.*\.py)$

  # - repo: https://github.com/asottile/pyupgrade
  #   rev: v2.14.0
  #   hooks:
  #     - id: pyupgrade
  #       args: [--py38-plus]

  # - repo: https://github.com/adrienverge/yamllint
  #   rev: v1.26.1
  #   hooks:
  #     - id: yamllint

  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.4.0
    hooks:
      - id: check-added-large-files  # Ignored for git-lfs files
        args: [--maxkb=100000]  # 100MB
      - id: check-ast
      - id: debug-statements
      # - id: end-of-file-fixer  # Ensure files ONLY end in a newline
      #     exclude_types: [jupyter]
      - id: pretty-format-json  # Sort and indent
        args: [--autofix]
        exclude: ^(\.cruft\.json)$
      - id: trailing-whitespace  # Trim
        args: [--markdown-linebreak-ext=md]

  # - repo: https://github.com/nbQA-dev/nbQA
  #   rev: 0.8.0
  #   hooks:
  #     - id: nbqa-black
  #       args: [--nbqa-mutate, '--line-length=79']
  #       additional_dependencies: [black==21.5b0]
  #     - id: nbqa-isort
  #       args: [--nbqa-mutate]
  #       additional_dependencies: [isort==5.8.0]
  #     - id: nbqa-pyupgrade
  #       args: [--nbqa-mutate]
  #       additional_dependencies: [pyupgrade==v2.19.1]
  #     - id: nbqa-pylint
  #       args: [--nbqa-mutate]
  #       additional_dependencies: [pyupgrade==2.19.1]
